<?php
/*
Plugin Name: PressBackup
Plugin URI: http://pressbackup.com
Description: Easily backup your WordPress site using our Pro cloud service or DropBox, Amazon S3, or a local folder. Pro Service requires a PressBackup.com Pro membership to use.
Author: Infinimedia Inc.
Version: 1.5.1
Author URI: http://infinimedia.com/
*/

	//init framework
	require_once('.core/w2pf_init.php');
	global $FramePress;
	global $pressbackup;
	$pressbackup = new $FramePress(__FILE__);

	$wp_pages =array (

		'tools' =>array(
			array(
				'page_title' => 'PressBackup',
				'menu_title' => 'PressBackup',
				'capability' => 'administrator',
				'menu_slug' => 'principal',
			),
		),
		'settings' =>array(
			array(
				'page_title' => 'PressBackup',
				'menu_title' => 'PressBackup Settings',
				'capability' => 'administrator',
				'menu_slug' => 'settings',
			),
		),
	);



	$wp_actions = array (
		array(
			'tag' => 'init',
			'handler' => 'extra',
			'function' => 'checks',
		),
		array(
			'tag' => 'admin_init',
			'handler' => 'extra',
			'function' => 'restore_htaccess',
		),

		//schedule job
		array(
			'tag' => 'pressback_backup_start_cronjob',
			'handler' => 'principal',
			'function' => 'backup_create_and_send',
		),

		// save and download
		array(
			'tag' => 'pressback_backupnow_save',
			'handler' => 'principal',
			'function' => 'backup_create_and_send',
		),
		array(
			'tag' => 'pressback_backupnow_download',
			'handler' => 'principal',
			'function' => 'backup_create_then_download',
		),

		// save and download ajax
		array(
			'tag' => 'pressback_backupnow_download_ajax',
			'handler' => 'principal',
			'function' => 'backup_create_then_download',
			'is_ajax' => true
		),
		array(
			'tag' => 'pressback_backupnow_save_ajax',
			'handler' => 'principal',
			'function' => 'backup_create_and_send',
			'is_ajax' => true
		),

		// check status ajax
		array(
			'tag' => 'pressbackup_check_backupnow_status',
			'handler' => 'principal',
			'function' => 'check_backupnow_status',
			'is_ajax' => true,
		),

		// create check Cron
		array(
			'tag' => 'pressbackup_check_cron_creation',
			'handler' => 'settings',
			'function' => 'check_cron'
		),

		// create check Cron
		array(
			'tag' => 'pressbackup_check_cron_status',
			'handler' => 'settings',
			'function' => 'check_cron_status',
			'is_ajax' => true,
		),

		// Ping
		array(
			'tag' => 'pressbackup_ping',
			'handler' => 'extra',
			'function' => 'ping',
		),
	);

	$pressbackup->Page->add($wp_pages);
	$pressbackup->Action->add($wp_actions);

	//@wp_clear_scheduled_hook('pressbackup_ping');
	if (!$ns=wp_next_scheduled('pressbackup_ping')){
		wp_schedule_event(strtotime('now'), 'daily', 'pressbackup_ping');
	}

?>
