<?php echo $this->html->css("default.css");?>
<?php echo $this->html->css("pb.css");?>

<div class="tab" ><?php _e('Welcome','pressbackup'); ?></div>
<div class="tab tabactive" ><?php _e('Step 1','pressbackup'); ?></div>
<div class="tab" ><?php _e('Step 2','pressbackup'); ?></div>
<div class="tabclear"  >&nbsp;</div>
<div class="tab_subnav"> </div>
<div class="tab_content">
	<form method="post" action="<?php echo $this->path->router(array('controller'=>'settings', 'function'=>'config_step1_save'));?>">
		<h3><?php _e('Configuration Wizard: Storage Service','pressbackup'); ?></h3>

		<?echo $this->msg->show('error');?>

		<p><?php _e('In this step you can configure your Storage service to perform backups automatically.','pressbackup'); ?><br />
		<?php _e('You can select &quot;None&quot; and download manual backups whenever you want to.','pressbackup'); ?></p>
		<h4><?php _e('Which storage service will you use?','pressbackup'); ?></h4>

		<div style="float: left; width: 350px;">
			<p><input type="radio" id="srvNoneR" name="data[service]" class="service_radio" value="no" /> <label><?php _e('None','pressbackup'); ?></label></p>
			<p><input type="radio" id="srvLocalR" name="data[service]" class="service_radio" value="local" /> <label><?php _e('Localhost','pressbackup'); ?></label></p>
			<p><input type="radio" id="srvdBoxR" name="data[service]" class="service_radio" value="dbox"/> <label><?php _e('Dropbox','pressbackup'); ?></label></p>
			<p><input type="radio" id="srvS3R" name="data[service]" class="service_radio" value="s3" /> <label><?php _e('Amazon S3','pressbackup'); ?></label></p>
		</div>

		<div style="float: left; width: 400px; padding-top:12px;">
			<div class="srvOption" id="srvLocalO">
				<label class="label_for_input"><?php _e('Path to storage folder:','pressbackup'); ?></label><br/>
				<input type="text" class="longinput" name="data[preferences][local][path]" value="<?php echo ABSPATH; ?>"><br/>
				<?php _e('Your blog base directory is:','pressbackup'); ?> <br/><code><?php echo ABSPATH; ?></code>
			</div>

			<div class="srvOption" id="srvS3O">
				<label class="label_for_input"><?php _e('S3 accessKey','pressbackup'); ?></label><br/>
				<input type="text" class="longinput" name="data[preferences][S3][accessKey]"><br/>

				<label class="label_for_input"><?php _e('S3 secretKey','pressbackup'); ?></label><br/>
				<input type="text" class="longinput" name="data[preferences][S3][secretKey]"><br/>

				<a id="ao_link" href="#"><?php _e('Advanced options','pressbackup'); ?></a>
				<div id="srvS3O_adv" style="display: none"><p>
					<input type="radio" name="data[preferences][S3][region]" value="US" checked> <label><?php _e('US S3','pressbackup'); ?></label>&nbsp;&nbsp;
					<input type="radio" name="data[preferences][S3][region]" value="EU"> <label ><?php _e('European S3','pressbackup'); ?></label>
				</p></div>
			</div>

		</div>
		<div style="clear:both"></div><br/>


		<div class="msgbox info mbox_wfixed srvHelp" id="srvLocalH">
			<p><?php _e('LocalHost Help','pressbackup'); ?></p>
			<p><?php _e('This is the easiest way to have scheduled backups.','pressbackup'); ?></p>
			<p><?php _e('Backups will be saved on your host in a folder of your choice.','pressbackup'); ?><br/>
			<?php _e('But be careful, this may get expensive, so in the next step we recommend you to configure to store only a few backups (last 3 or 5).','pressbackup'); ?></p>
			<p><?php _e('You must enter the full path to the storage folder, use the base path of your blog folder as reference.','pressbackup'); ?></p>
		</div>

		<div class="msgbox info mbox_wfixed srvHelp" id="srvS3H">
			<p><?php _e('Amazon S3 Help','pressbackup'); ?></p>
			<p><?php _e('Use your Amazon S3 account to have scheduled backups.','pressbackup'); ?></p>
			<p><?php _e('Backups will be saved on a bucket automatically created by PressBackup.','pressbackup'); ?></p>
			<p><?php _e('You must enter the Access and secret Keys provided by Amazon. You can also decide to use american or european Servers in the advanced options.','pressbackup'); ?></p>
		</div>

		<div class="msgbox info mbox_wfixed srvHelp" id="srvDboxH"> 
			<p><?php _e('Dropbox Help','pressbackup'); ?></p>
			<p><?php _e('This is another easy way to have scheduled backups.','pressbackup'); ?></p>
			<p><?php _e('Backups will be saved on a folder named PressBackup on Dropbox/Apps.','pressbackup'); ?></p>
			<p style="font-style: italic;"><b><?php _e('Important!','pressbackup'); ?>:</b> <?php _e('Dropbox has a 150 Mb limit, a backup bigger than that won\'t be possible.','pressbackup'); ?></p>
		</div>

		<hr class="separator"/>

		<?echo $this->html->link(__('Back','pressbackup'), array('controller'=>'settings', 'function'=>'config_init'), array('class'=>'button'));?>
		<input class="button" type="submit" value="<?php _e('Next','pressbackup'); ?>">
	</form>
</div>

<script type='text/javascript'>
	var service = '<?echo $service; ?>';
	var last_selected = 'srvNoneR';

	if (service == 's3') {
		last_selected = 'srvS3R';
		jQuery('#srvS3R').attr('checked', true);
		jQuery('#srvS3O').show();
		jQuery('#srvS3H').show();
	}
	else if (service == 'dbox') {
		last_selected = 'srvdBoxR';
		jQuery('#srvdBoxR').attr('checked', true);
		jQuery('#srvDboxH').show();
	}
	else if (service=='local') {
		last_selected = 'srvLocalR';
		jQuery('#srvLocalR').attr('checked', true);
		jQuery('#srvLocalO').show();
		jQuery('#srvLocalH').show();
	}
	else {
		jQuery('#srvNoneR').attr('checked', true);
	}



	jQuery('.service_radio').click(function(){
		var id = jQuery(this).attr('id');

		if (last_selected == id) { return true; }

		switch (id) {
			case 'srvNoneR':
				jQuery('.srvOption').hide('fast');
				jQuery('.srvHelp').hide();
				last_selected = 'srvNoneR';
			break;
			case 'srvLocalR':
				jQuery('#srvS3O,#srvProO').hide(); jQuery('#srvLocalO').slideToggle();
				jQuery('#srvS3H,#srvProH,#srvDboxH').hide(); jQuery('#srvLocalH').slideToggle();
				last_selected = 'srvLocalR';
			break;
			case 'srvS3R':
				jQuery('#srvProO,#srvLocalO').hide(); jQuery('#srvS3O').slideToggle();
				jQuery('#srvProH,#srvLocalH,#srvDboxH').hide(); jQuery('#srvS3H').slideToggle();
				last_selected = 'srvS3R';
			break;
			case 'srvProR':
				jQuery('#srvS3O,#srvLocalO').hide(); jQuery('#srvProO').slideToggle();
				jQuery('#srvS3H,#srvLocalH,#srvDboxH').hide(); jQuery('#srvProH').slideToggle();
				last_selected = 'srvProR';
			break;
			case 'srvdBoxR':
				jQuery('#srvS3O,#srvLocalO,#srvProO').hide();
				jQuery('#srvS3H,#srvLocalH,#srvProH').hide(); jQuery('#srvDboxH').slideToggle();
				last_selected = 'srvdBoxR';
			break;
		}
	});

	jQuery('#ao_link').click(function(){
		jQuery('#srvS3O_adv').slideToggle();
		return false;
	});
</script>


